Skip to content

Add Device to Account

Adds a device to the current account. Provide the device ID and password to confirm that you can add the device. This endpoint requires device:manage.

Endpoint

http
POST /wlte/v1/devices

Authorization Requirements

ScopeRequiredDescription
device:manageYesAdd a device to the current account

Request Body

FieldTypeRequiredDescription
deviceIdstringYesDevice ID to associate
passwordstringYesDevice password. Must be 4 characters
namestringNoDisplay name, up to 16 characters. If omitted or blank, deviceId is used

Request Example

json
{
  "deviceId": "rek053537488",
  "password": "1234",
  "name": "Office Gateway"
}

Success Response

json
{
  "code": "SUCCESS",
  "message": "OK.",
  "requestId": "7d2e2e30-36d7-4e31-9e89-c840f54185f8",
  "data": {
    "deviceId": "rek053537488",
    "name": "Office Gateway"
  }
}

Common Errors

HTTP StatuscodeDescription
400INVALID_REQUESTMissing deviceId, or password is not 4 characters
400INVALID_DEVICE_PASSWORDDevice password is incorrect
401AUTH_INVALIDAccess token is invalid or no longer valid
403AUTH_SCOPE_DENIEDThe API Client does not have device:manage
409DEVICE_OFFLINEThe device is offline, so the password cannot be verified
409DEVICE_BUSYThe device already has an in-flight request. Try again later
429RATE_LIMITEDToo many requests
503GATEWAY_UNAVAILABLEDevice add service is temporarily unavailable
504DEVICE_TIMEOUTTimed out waiting for device confirmation
Docs buildVersion v1.3.6-20260720-180213-70
Copyright © 2026 WLTE